Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 23 Oct 2020 05:02:59 +0000

Hi Mohammad shafeeque,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I would like to know why I was charged delivery1.500 kd if I already reached 20 kd for household items.
When calling the center they told us it should be more than 25 kd, which is not written in you app. Actually it clearly shows that you need to reach 20kd.
Please fix this issue and I would like a refund for the extra not needed delivery charge.
The other thing is that I ordered the smell be gone item and I received a red rose candle instead !

iOS Version: 13.7
App Version: 9.2.6 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1610374